@echo off
::
::                   Petals CLI bootstrap script
::
:: Environment variables:
::
::     JAVA_HOME   Home directory of the JVM to be used
::
::     JAVA_OPTS   Options for the JVM. Try "java -h" to get informations
::                 about the available options for your environment
::
:::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::


:: Set the path to the java executable
if "x%JAVA_HOME%"=="x" (
	set JAVA=java
) else (
	set JAVA="%JAVA_HOME%\bin\java.exe"
)


%JAVA% %JAVA_OPTS% -Dorg.ow2.petals.admin.api.artifact.lifecycle.factory=org.ow2.petals.admin.jmx.artifact.JMXArtifactLifecycleFactory -Dorg.ow2.petals.admin.api.factory=org.ow2.petals.admin.jmx.JMXAdminFactory -Djline.shutdownhook=true -jar "%CD%\petals-cli.jar" %*

